import React, { Component } from 'react'
import { withStyles } from 'material-ui/styles'
import Paper from 'material-ui/Paper'
import Button from 'material-ui/Button'
import Table, { TableHead, TableBody, TableRow, TableCell} from 'material-ui/Table'
import Checkbox from 'material-ui/Checkbox'

const styles = theme => ({
    root: {
        width: '100%'
    },
    buttons: {
        marginRight: theme.spacing.unit / 2,
        marginBottom: theme.spacing.unit * 3
    },
    tableRow: {
        '&:hover': {
            backgroundColor: theme.palette.grey[200],
            cursor: 'pointer'
        }
    }
})

class ContainersTable extends Component {

    render() {
        const { classes, theme, columns, rows } = this.props

        console.log(theme)

        return (
            <div>
                <Button variant='raised' color='primary' size='small' className={classes.buttons}>Arrancar</Button>
                <Button variant='raised' color='primary' size='small' className={classes.buttons}>Parar</Button>
                <Button variant='raised' color='primary' size='small' className={classes.buttons}>Reiniciar</Button>
                <Paper className={classes.root}>
                    <Table>
                        <TableHead>
                            <TableRow>
                                <TableCell>
                                    {/* <Checkbox color='primary' /> */}
                                </TableCell>
                                {columns.map(column => 
                                    <TableCell>{column.title}</TableCell>
                                )}
                            </TableRow>
                        </TableHead>
                        <TableBody>
                            {rows.map(item => 
                                <TableRow key={item.id} className={classes.tableRow}>
                                    <TableCell>
                                        <Checkbox color='primary' />
                                    </TableCell>
                                    {columns.map(column => 
                                        <TableCell>{item[column.key]}</TableCell>
                                    )}
                                </TableRow>
                            )}
                        </TableBody>
                    </Table>
                </Paper>
            </div>
        )
    }
}

export default withStyles(styles, {withTheme: true})(ContainersTable)
